Skip to main content

List malware samples (paginated)

GET
/malware/samples

Contract

Parameter
Value
Sectionmalware
AuthenticationCookieAuth
Consumesnot required
Producesapplication/json

Parameters

10 parameters

Name
Location
Required
Type
Description
inputquerynostringSearch string
countqueryyesintegerPage size
pagequeryyesintegerPage number, starting at 1
keyqueryyesstringSort field
orderqueryyesenum(asc, desc)Sort direction
mimequerynostringFilter by MIME type
tagsquerynostringFilter by tags
sourcequerynostringFilter by source
fromquerynostringFilter by upload date from this date, inclusive
toquerynostringFilter by upload date through this date, inclusive
  • "asc"

Responses

3 responses

Status
Description
Type
200
Successful responseobject
401
Unauthorizedobject
500
Internal server errorobject
  • {
      "cursor": {
        "count": 0,
        "currentPage": 0,
        "totalPages": 0,
        "totalRows": 0
      },
      "data": [
        {
          "category": "<string>",
          "createdAt": "<string>",
          "first_seen_at": "<string>",
          "id": 0,
          "issuer": {
            "agreementAccepted": true,
            "createdAt": "<string>",
            "deletedAt": "<string>",
            "email": "<string>",
            "group": {
              "createdAt": "<string>",
              "deletedAt": "<string>",
              "id": 0,
              "issuer": {},
              "issuerID": 0,
              "name": "<string>",
              "permissions": [
                {}
              ],
              "updatedAt": "<string>",
              "users": [
                {}
              ]
            },
            "groupID": 0,
            "id": 0,
            "isActive": true,
            "isRequiredToSetPassword": true,
            "lastLogin": "<string>",
            "notificationsReadAt": "<string>",
            "passwordLength": 0,
            "realName": "<string>",
            "updatedAt": "<string>"
          },
          "issuerID": 0,
          "md5": "<string>",
          "mime": "<string>",
          "name": "<string>",
          "original_sha256": "<string>",
          "sha1": "<string>",
          "sha256": "<string>",
          "sha3_384": "<string>",
          "size": 0,
          "source": "<string>",
          "syncReady": true,
          "tags": "<string>",
          "updatedAt": "<string>"
        }
      ]
    }
  • {
      "data": {},
      "error": "<string>"
    }
  • {
      "data": {},
      "error": "<string>"
    }